<!doctype html>
<html>
<head>
    <title>#MoreOnionsPorfavor: Onionize your website and take back the internet | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="#MoreOnionsPorfavor: Onionize your website and take back the internet | Tor Project">
    <meta property="og:description" content="Starting today, July 8th, the Tor Project is running a one month campaign called #MoreOnionsPorfavor to raise awareness about onion sites, that is, websites available over onion services. We recently released a feature called Onion-Location in Tor Browser that announces to users if a website has an onion site available. Join us to make a more secure web! To participate, enable Onion-Location, share your onion site using the hashtag #MoreOnionsPorFavor on your favorite social media, and we&#39;ll select some onion service operators to receive a Tor swag. See below for all the details.">
    <meta property="og:image" content="https://blog.torproject.org/more-onions-porfavor/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/more-onions-porfavor/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        #MoreOnionsPorfavor: Onionize your website and take back the internet
      </h1>
    <p class="meta">by ggus | July 8, 2020</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <div class="ace-line" id="magicdomid11"><em>Starting today, July 8th, the Tor Project is running a one month campaign called #MoreOnionsPorfavor to raise awareness about onion sites, that is, websites available over onion services. We recently released a feature called Onion-Location in Tor Browser that announces to users if a website has an onion site available. Join us to make a more secure web! To participate, enable Onion-Location, share your onion site using the hashtag #MoreOnionsPorFavor on your favorite social media, and we'll select some onion service operators to receive a Tor swag. See below for all the details. </em></div>
<div class="ace-line" id="magicdomid12"> </div>
<div class="ace-line" id="magicdomid13"><span>As protests are sparkling around the world, we know that the struggles for a more just society are closely surveilled by those in power. The things that we do online, where we are, the websites that we've visited, who we've talked to</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">...</span><span> </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">this</span><span> data </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">is</span><span> being collected and analyzed to draw the social graph of activists and </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">used to determine who to </span><span>monitor. As many digital security trainers point out: protests may have an end, but metadata </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">lasts</span><span> forever.</span></div>
<div class="ace-line" id="magicdomid16"> </div>
<div class="ace-line" id="magicdomid17"><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">At t</span><span>he Tor Project</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">,</span><span> we develop privacy enhancing technologies to <a href="https://blog.torproject.org/digital-rights-are-human-rights">protect and advance human rights</a></span><span>. </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">One of these technologies built inside of Tor </span><span>is called <a href="https://community.torproject.org/onion-services/overview/">Onion Services</a></span><span>. </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">Onion services are a</span><span> way to protect users</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">'</span><span> metadata</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">,</span><span> like their real location,</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> and</span><span> </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">offer</span><span> end-to-end authentication and end-to-end encryption by default when </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">a user</span><span> visit</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">s</span><span> a website. One can easily spot an onion service as the domains are a public key encoded as an address ending with .onion.</span></div>
<div class="ace-line" id="magicdomid18"> </div>
<div class="ace-line" id="magicdomid19"><span>Since users have a legit</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">imate</span><span> and increasing concern</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">s</span><span> </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">about their</span><span> safe</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">ty</span><span> online, developers, system administrators</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">,</span><span> and websites owners can and should offer a more secure experience to users. If you run a website, you can improve its security by offering a version of your site over onion services.</span></div>
<div class="ace-line" id="magicdomid20"> </div>
<div class="ace-line" id="magicdomid21"><span>Recently</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">,</span><span> we implemented a way to announce and publicize </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">your</span><span> onion site using Onion-Location. When</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> a user</span><span> visi</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">ts</span><span> a website that has both onion services and Onion-Location enabled, Tor Browser will display an information pill telling </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">them </span><span>that there's a more secure version of the website ,and </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">the user </span><span>will be asked to opt-in to upgrade to the onion service on their first use.</span><span class="author-a-z86zz68zz122zz85zkz74zqlrj8pmaz65zz81z"> If the user already opted-in for their network security upgrade, they will get directly to the onion site.</span></div>
<div class="ace-line" id="magicdomid22"> </div>
<p><img alt="ProPublica Onion-Location" src="/static/images/blog/inline-images/propublica-onion-location.png" /></p>
<p> </p>
<div class="ace-line" id="magicdomid25"><span>Many web administrators</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> have</span><span> already joined us and made their websites available over onion services and Onion-Location. For example, ProPublica, DEF CON, Privacy International, Riseup.net, Systemli.org,</span><span class="author-a-z65zz80zmez87zz77zz83zz72zgz73zz70zz79ztc5z71z"> and</span><span> Write.as. And now, we invite you to join this campaign: #MoreOnionsPorfavor.</span></div>
<div class="ace-line" id="magicdomid27"> </div>
<div class="ace-line" id="magicdomid28"><strong><span>Setting up an onion site with Onion-Location</span></strong></div>
<div class="ace-line" id="magicdomid29"> </div>
<div class="ace-line" id="magicdomid30"><span>Some onions are very easy to cultivate, but </span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">for </span><span>others</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">,</span><span> you may need professional support. For enterprise scale websites, we recommend getting in touch with us</span><span class="author-a-z74zshz78zz90zz82zxohz87zz70zz84z299d">: <a href="mailto:frontdesk@torproject.org">frontdesk@torproject.org</a></span><span>.</span></div>
<div class="ace-line" id="magicdomid31"> </div>
<div class="ace-line" id="magicdomid32"><span>First, you need to configure your web server so it doesn't give away any information about your user</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">'s</span><span> location. As</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> with</span><span> any other service connected to the internet, it can be risky if it's misconfigured. Therefore, we recommend reading and following <a href="https://community.torproject.org/onion-services/setup/">onion services</a></span><span> documentation and <a href="https://riseup.net/en/security/network-security/tor/onionservices-best-practices">best practices</a>.</span></div>
<div class="ace-line" id="magicdomid33"> </div>
<div class="ace-line" id="magicdomid34"><span>After you've configured your web server and onion service, you can <a href="https://community.torproject.org/onion-services/advanced/onion-location/">setup Onion-Location</a>.</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> Configuratio</span><span class="author-a-z74zshz78zz90zz82zxohz87zz70zz84z299d">n</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> should only take a few minutes</span><span>. It's worth mention that Onion-Location will only work if you've already setup an TLS certificate for your domain, i.e. Let's Encrypt. </span></div>
<div class="ace-line" id="magicdomid35"> </div>
<div class="ace-line" id="magicdomid36"><span>Once you've set up your onion site, send an email to &lt;</span><span class="author-a-z74zshz78zz90zz82zxohz87zz70zz84z299d">frontdesk</span><span>@torproject.org&gt; and announce it on your favorite social media using the hashtag #MoreOnionsPorfavor. Next month, we will select some onion site operators to receive a Tor swag as a token of our gratitude for your help defending the secure internet. </span><span class="b"><b>Set up your onion site and email us by </b></span><span class="author-a-z65zz80zmez87zz77zz83zz72zgz73zz70zz79ztc5z71z b"><b>August 10th</b></span><span class="b"><b> to qualify.</b></span><span> </span></div>
<div class="ace-line" id="magicdomid37"> </div>
<div class="ace-line" id="magicdomid38"><strong><span>Other ways to help</span></strong></div>
<div class="ace-line" id="magicdomid39"> </div>
<div class="ace-line" id="magicdomid40"><span>If you can't run an onion service but want to help to take back the internet, there are other ways you can help:</span></div>
<div class="ace-line" id="magicdomid41"> </div>
<div class="ace-line" id="magicdomid42">
<ul class="list-bullet2">
<li><span>Make a <a href="https://donate.torproject.org">donation</a> to the Tor Project to support our work developing and sharing tools for privacy and freedom online.</span></li>
</ul>
</div>
<div class="ace-line" id="magicdomid43">
<ul class="list-bullet2">
<li><span>Help translate Tor </span><a href="https://community.torproject.org/localization/becoming-tor-translator/"><span>Community portal</span></a><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z"> </span><span>and documentation</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">,</span><span> including information on how to set up an onion service.</span></li>
</ul>
</div>
<div class="ace-line" id="magicdomid44">
<ul class="list-bullet2">
<li><span>Ask to your favorite website to make th</span><span class="author-a-pz78zz75z4z70zz81zz85zz81zmz78zz69zwz66z5z90zz77z">eir site</span><span> available over onion services.</span></li>
</ul>
</div>
<div class="ace-line" id="magicdomid45"> </div>
<div class="ace-line" id="magicdomid46"><span>It's time to raise the bar of privacy and onionize your site! </span></div>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/onion-services">
          onion services
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-288620"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288620" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ggus
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Gus</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted">Gus said:</p>
      <p class="date-time">July 08, 2020</p>
    </div>
    <a href="#comment-288620">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288620" class="permalink" rel="bookmark">Before you ask about blog…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Before you ask about blog.tpo Onion-Location: we want to move this blog to a new platform, so we will have Onion-Location at some point this year, but not now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288629"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288629" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 08, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to Gus</p>
    <a href="#comment-288629">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288629" class="permalink" rel="bookmark">**Thumbs Up**</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>**Thumbs Up**</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288643"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288643" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288629" class="permalink" rel="bookmark">**Thumbs Up**</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-288643">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288643" class="permalink" rel="bookmark">Good news, good news.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Good news, good news.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-288632"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288632" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 08, 2020</p>
    </div>
    <a href="#comment-288632">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288632" class="permalink" rel="bookmark">It&#039;s worth mention that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>It's worth mention that Onion-Location will only work if you've already setup an TLS certificate for your domain, i.e. Let's Encrypt. </p></blockquote>
<p>typo? e.g. Let's Encrypt</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288636"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288636" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288632" class="permalink" rel="bookmark">It&#039;s worth mention that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-288636">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288636" class="permalink" rel="bookmark">Ha. Yes, your domain that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ha. Yes, your domain that serves the Onion-Location header can have an https cert from any CA -- it doesn't have to be only Let's Encrypt.</p>
<p>But that said, I admit that I like the subtle implication that Let's Encrypt is the future of certificate authorities, rather than the historical for-pay proprietary CA mafia, and that in the future we should consider "CA" and "Let's Encrypt" as synonyms. :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288638"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288638" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-288638">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288638" class="permalink" rel="bookmark">Can you say monopoly?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can you say monopoly?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-288637"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288637" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288632" class="permalink" rel="bookmark">It&#039;s worth mention that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-288637">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288637" class="permalink" rel="bookmark">And the other typo is that…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>And the other typo is that it should be "a TLS cert", not "an".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288645"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288645" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288637" class="permalink" rel="bookmark">And the other typo is that…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-288645">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288645" class="permalink" rel="bookmark">Also, &quot;setup&quot; should be &quot;set…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Also, "setup" should be "set up", as this instance is functioning as a verb, and not an adjective or noun.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-288640"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288640" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>foobar (not verified)</span> said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
    <a href="#comment-288640">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288640" class="permalink" rel="bookmark">Yay ! Let&#039;s create a safer…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yay ! Let's create a safer internets !<br />
Also, should this Onion-Location header be displayed for every client, or only if the servers "detects" it's a Tor exit node ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288642"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288642" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ggus
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Gus</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted">Gus said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288640" class="permalink" rel="bookmark">Yay ! Let&#039;s create a safer…</a> by <span>foobar (not verified)</span></p>
    <a href="#comment-288642">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288642" class="permalink" rel="bookmark">We have a ticket for this…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We have a ticket for this discussion:<br />
<a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/32256" rel="nofollow">https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/322…</a><br />
Feel free to request your account on the sign-in page.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-288651"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288651" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288640" class="permalink" rel="bookmark">Yay ! Let&#039;s create a safer…</a> by <span>foobar (not verified)</span></p>
    <a href="#comment-288651">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288651" class="permalink" rel="bookmark">You&#039;re right: large websites…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You're right: large websites might not want to spend the extra bandwidth of writing an Onion-Location header in every page they serve, on the tiny chance that the reader happens to be a Tor Browser that knows about the header.</p>
<p>Facebook definitely counts as large, and I expect some others might consider themselves in this category of "too large to spend bandwidth on that".</p>
<p>There are really two pieces to this story, and Onion-Location is only one piece. The second piece is, as you say, that large websites will need to use some mechanism for deciding whether to include the Onion-Location header.</p>
<p>One option is proposed on the ticket that Gus pointed to, which is a great place for further discussion:<br />
<a href="https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/32256" rel="nofollow">https://gitlab.torproject.org/tpo/applications/tor-browser/-/issues/322…</a><br />
The idea there is that we advertise our onion capability in the browser's User-A<br />
gent header, so websites aren't left to guess.</p>
<p>In the mean time, the best approach for making that decision right now is to use something like the 'bulk exit list' exporter:<br />
<a href="https://lists.torproject.org/pipermail/tor-project/2020-March/002759.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-project/2020-March/002759.ht…</a></p>
<p>I'll note that if the goal is to avoid spending too much extra bandwidth, and if we're using the Onion-Location header, the "is it a Tor user" detection doesn't have to be perfect. Whereas a different mechanism, like "detect if it's a Tor user and then give them a 302 redirect", has much less room for error.</p>
<p>Also, for smaller websites, serving the header to every user is easy to do and has little downside.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288689"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288689" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 13, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-288689">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288689" class="permalink" rel="bookmark">Would all of the other…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Would all of the other Torified apps on the network (that are not Tor Browser) have to also edit their UA strings or listen for Onion-Location to be redirected? Many don't have the UA even exposed for editing and merely offer general proxy settings.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-288644"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288644" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 09, 2020</p>
    </div>
    <a href="#comment-288644">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288644" class="permalink" rel="bookmark">@Tails users: for some…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@Tails users: for some reason it seems that the Tor Browser 9.5.1 which comes with Tails 4.8 is not yet configured to "always prioritize onions".</p>
<p>In the tool bar, look in Preferences -&gt; Privacy and Security and choose "always prioritize onions".  For the duration of that Tails session (and beyond if you use a Tails USB configured to remember settings, which might be a bit dangerous), you will be automatically connected to the onion mirror for those sites you visit which have onions.   I just tested this and it works for the document cited in the post:</p>
<p><a href="http://vww6ybal4bd7szmgncyruucpgfkqahzddi37ktceo3ah7ngmcopnpyyd.onion/en/security/network-security/tor/onionservices-best-practices#many-things-can-be-made-into-onion-services" rel="nofollow">http://vww6ybal4bd7szmgncyruucpgfkqahzddi37ktceo3ah7ngmcopnpyyd.onion/e…</a></p>
<p>Very impressive, BTW.  I hope people who already know how to set up a clearnet website will find it very easy to follow.</p>
<p>About 2-3 years ago, Tails Project was working on a big project called "Tails server", which I think would have basically been a carefully preconfigured onion site you could set up "out of the box" (with minimal site-specific configuration such generating a unique onion keypair).   I have the impression they had to give up on that as too challenging for the  next few years.  Do you now more?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-288662"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288662" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>hoek (not verified)</span> said:</p>
      <p class="date-time">July 10, 2020</p>
    </div>
    <a href="#comment-288662">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288662" class="permalink" rel="bookmark">Done! Thank you for this…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Done! Thank you for this great new feature.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-288690"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288690" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 13, 2020</p>
    </div>
    <a href="#comment-288690">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288690" class="permalink" rel="bookmark">This post tries to convince…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This post tries to convince web admins to set up onions but makes no mention of EOTK, the tool I've seen mainstream outlets talk about the most when it comes to setting up onions. The onion services documentation mentions it in passing at the very bottom.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288693"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288693" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ggus
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Gus</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted">Gus said:</p>
      <p class="date-time">July 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288690" class="permalink" rel="bookmark">This post tries to convince…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-288693">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288693" class="permalink" rel="bookmark">Dear anonymous, indeed, EOTK…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Dear anonymous, indeed, EOTK is a great tool!</p>
<p>If you want to help improve the documentation of Tor community, we have a ticket on that:<br />
<a href="https://gitlab.torproject.org/tpo/web/community/-/issues/136" rel="nofollow">https://gitlab.torproject.org/tpo/web/community/-/issues/136</a></p>
<p>Maybe you could start drafting and then others could engage?<br />
Thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288774"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288774" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 24, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to Gus</p>
    <a href="#comment-288774">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288774" class="permalink" rel="bookmark">The point is that the post…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The point is that the post wants to appeal to newbies, and newbies prefer EOTK because it makes setup easier, but the post doesn't mention EOTK, so the way the post is written as of this reply, it won't be as appealing as it hopes to be.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-288696"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288696" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 14, 2020</p>
    </div>
    <a href="#comment-288696">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288696" class="permalink" rel="bookmark">Why does DuckDuckGo&#039;s…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why does DuckDuckGo's website not have this feature?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288762"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288762" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Don Anon (not verified)</span> said:</p>
      <p class="date-time">July 20, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288696" class="permalink" rel="bookmark">Why does DuckDuckGo&#039;s…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-288762">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288762" class="permalink" rel="bookmark">Maybe they haven&#039;t been made…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe they haven't been made aware of it yet? And Tor Browser should use the .onion version by default anyway.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-288698"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288698" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>K (not verified)</span> said:</p>
      <p class="date-time">July 14, 2020</p>
    </div>
    <a href="#comment-288698">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288698" class="permalink" rel="bookmark">Is it #MoreOnionsPorfavor…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is it #MoreOnionsPorfavor with a lowercase f as appears most times in this blog post or #MoreOnionsPorFavor with a capital F that appears once in this post, but fits the camel case styling better?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-288701"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288701" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  ggus
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Gus</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted">Gus said:</p>
      <p class="date-time">July 14, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-288698" class="permalink" rel="bookmark">Is it #MoreOnionsPorfavor…</a> by <span>K (not verified)</span></p>
    <a href="#comment-288701">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288701" class="permalink" rel="bookmark">You can use both. :-)</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You can use both. :-)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-288702"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-288702" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Richard Rammagem (not verified)</span> said:</p>
      <p class="date-time">July 15, 2020</p>
    </div>
    <a href="#comment-288702">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-288702" class="permalink" rel="bookmark">Absolutely impressed. Thank…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Absolutely impressed. Thank You! Great project at a time like this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-289008"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-289008" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>AyrA (not verified)</span> said:</p>
      <p class="date-time">August 16, 2020</p>
    </div>
    <a href="#comment-289008">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-289008" class="permalink" rel="bookmark">Is there a reason why the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is there a reason why the Onion-Location header has to specify the full URL? I would have guessed that almost all websites have the same path string for their onion and regular domains.</p>
<p>Wouldn't it make sense to alternatively define a short format to allow operators to define the Onion-Location header with just the domain name (no protocol, port or path) for cases where no special port or different URL is required? This would also be one way to save on bandwidth, which seems to be one of the concerns with this header.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
